import asyncio
import os
import re

from adaptadores.atapis import *
from bd.bdmemoria import *


def respuesta(estado, respuesta, dato=None):
    return {'Estado': estado,
            'Respuesta': respuesta,
            'Dato': dato}


def borrar_emojis(string):
    """Borra todos los emojis de un string dado"""
    regex = re.compile(pattern="["
                               u"\U0001F600-\U0001F64F"  # emoticons
                               u"\U0001F300-\U0001F5FF"  # symbols & pictographs
                               u"\U0001F680-\U0001F6FF"  # transport & map symbols
                               u"\U0001F1E0-\U0001F1FF"  # flags (iOS)
                               "]+", flags=re.UNICODE)
    return regex.sub(r'', string)
